%define _prefix /scisoft

# Disable debug package creation otherwise this fails in "mock" on Fedora.
%define debug_package %{nil}

Name:           scisoft-xephem
Version:        3.7.7
Release:        2%{?dist}
Summary:        An attractive astronomical ephemeris program for X Windows
Distribution:   Scisoft
Group:          Applications/Scientific
License:        Distributable for non commercial use
Packager:       Carlos Guirao <cguirao@eso.org>
URL:            http://www.clearskyinstitute.com/xephem/xephem.html
Source0:        http://www.clearskyinstitute.com/xephem/xephem-%{version}.tgz
Source1:        v3.7-catalogs.tar.bz2
Source2:        hubble-1.0.tar.gz

BuildRequires:  glibc-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXmu-devel
BuildRequires:  libXp-devel
BuildRequires:  libXt-devel
BuildRequires:  motif-devel
BuildRequires:  groff-base

%description
XEphem is an interactive astronomical ephemeris program for X Windows
systems with OpenMotif. It provides many graphical views as well as
quantitative heliocentric, geocentric and topocentric information for
Earth satellites, solar system and deep-sky objects.  

%prep
%setup -a1 -a2 -q -n xephem-%{version}

%build
cd GUI/xephem
make

%install
XS=GUI/xephem
XL=%{buildroot}%{_datadir}/xephem/lib

install -d -m 755 %{buildroot}%{_datadir}/licenses
install -d -m 755 %{buildroot}%{_datadir}/xephem/bin
install -d -m 755 %{buildroot}%{_datadir}/xephem/lib
install -d -m 755 %{buildroot}%{_datadir}/xephem/share/man/man1
install -d -m 755 %{buildroot}%{_datadir}/xephem/X11/app-defaults
cp *.edb $XS/catalogs/
cp ./gallery/* $XS/gallery/.

install -d -m 755 %{buildroot}%{_docdir}/xephem
install -m 644 Copyright %{buildroot}%{_docdir}/xephem/Copyright
install -m 644 INSTALL %{buildroot}%{_docdir}/xephem/INSTALL
install -m 644 README %{buildroot}%{_docdir}/xephem/README

install -s -m 755 $XS/xephem %{buildroot}%{_datadir}/xephem/bin/xephem

install -m 644 $XS/xephem.man %{buildroot}%{_datadir}/xephem/share/man/man1/xephem.1x
gzip -v %{buildroot}%{_datadir}/xephem/share/man/man1/xephem.1x

install -d -m 755 $XL/auxil
install -d -m 755 $XL/catalogs
install -d -m 755 $XL/gallery
install -d -m 755 $XL/fifos
install -d -m 755 $XL/fits
install -d -m 755 $XL/help
install -d -m 755 $XL/help/png
install -m 644 $XS/auxil/*		$XL/auxil
install -m 644 $XS/catalogs/*		$XL/catalogs
install -m 644 $XS/gallery/*		$XL/gallery
install -m 644 $XS/fifos/*		$XL/fifos
install -m 644 $XS/help/xephem.html	$XL/help
install -m 644 $XS/help/png/*		$XL/help/png

echo "XEphem.ShareDir: %{_datadir}/xephem/lib" > %{buildroot}%{_datadir}/xephem/X11/app-defaults/XEphem

install -d -m 755 %{buildroot}%{_bindir}
echo "#! /bin/sh
%{_datadir}/xephem/bin/xephem -resfile %{_datadir}/xephem/X11/app-defaults/XEphem" > %{buildroot}%{_bindir}/xephem
chmod 755 %{buildroot}%{_bindir}/xephem

%files
%defattr(-,root,root)
%dir %{_datadir}/licenses
%docdir %{_docdir}/xephem
%license Copyright
%{_prefix}

%changelog
* Thu Mar 15 2018 Artur Szostak <aszostak@partner.eso.org> 3.7.6
- Incorporated into automated build system for Scisoft.
- Updating Specfile to use standard RPM path location macros.

* Mon Oct 24 2016 Artur Szostak <aszostak@partner.eso.org> 3.7.6-2
- Adding missing build dependencies.

* Thu Nov 14 2013 <cguirao@eso.org>
- adapted to SCISOFT 

* Sat Aug 9 2008 <ckulesa@as.arizona.edu>
- added hipparchos, IC, new NGC catalogs from dpkiel
- added NASA/ESA gallery images from dpkiel
 
* Fri Aug 8 2008 <ckulesa@as.arizona.edu>
- updated to 3.7.3
- removed jpeg,png,z, motif libs from build

* Thu Feb 16 2006 <ckulesa@as.arizona.edu>
- updated to 3.7.1

* Wed Oct 5 2005 <ckulesa@as.arizona.edu>
- updated to 3.7
- removed previous patches, now unnecessary
- added help directory in install

* Sat Jun 4 2005 <ckulesa@as.arizona.edu>
- updated to 3.6.4
- had to patch tools/indi Makefile for missing waitINDI

* Thu Jan 13 2005 <ckulesa@as.arizona.edu>
- New version 3.6.3
- Small SPEC file tweaks
- Added new XEphem tools
- Removed XEphem's inline Motif stubs in favor of OpenMotif 
- Built for Fedora Core (1 and 3)

* Sun Oct 21 2001 <ckulesa@as.arizona.edu>
- New version 3.5

* Thu Dec 7 2000 <ckulesa@as.arizona.edu>
- New version 3.4
- Redhat 7.0 and 6.x support
- Built dynamically against OpenMotif 2.1.30 (Redhat 7.0 Powertools)
- Discontinued use of wmconfig in favor of GNOME and KDE desktop links
- New PNG and XPM icons for GNOME and KDE
- Now shares "Astro" desktop folder with Tim Pickering's IRAF packages

* Thu Apr 13 2000 <ckulesa@as.arizona.edu>
- Linked against Lesstif 0.89.9
- Redhat 6.2 version
- Uses wmconfig for automatic desktop entries

* Mon Nov 1 1999 <ckulesa@as.arizona.edu>
- RPM-ification
- Statically linked against Lesstif 0.86
